package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

public class TrainerFeedBackData implements Serializable {

    @SerializedName("dse_name")
    @Expose
    private String dseName;
    @SerializedName("assessmentid")
    @Expose
    private String assessmentid;
    @SerializedName("userid")
    @Expose
    private String userid;
    @SerializedName("remarks")
    @Expose
    private String remarks;
    @SerializedName("trainer_feedback_score")
    @Expose
    private String trainerFeedbackScore;
    @SerializedName("training_feedback_score")
    @Expose
    private String trainingFeedbackScore;
    @SerializedName("training_feedback_score_avg")
    @Expose
    private String trainingFeedbackScoreAvg;
    @SerializedName("trainer_feedback_score_avg")
    @Expose
    private String trainerFeedbackScoreAvg;
    @SerializedName("questions")
    @Expose
    private List<TrainerQuestion> trainerQuestions = null;
    private final static long serialVersionUID = -8115723794045793388L;

    public String getDseName() {
        return dseName;
    }

    public void setDseName(String dseName) {
        this.dseName = dseName;
    }

    public String getAssessmentid() {
        return assessmentid;
    }

    public void setAssessmentid(String assessmentid) {
        this.assessmentid = assessmentid;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getTrainerFeedbackScore() {
        return trainerFeedbackScore;
    }

    public void setTrainerFeedbackScore(String trainerFeedbackScore) {
        this.trainerFeedbackScore = trainerFeedbackScore;
    }

    public String getTrainingFeedbackScore() {
        return trainingFeedbackScore;
    }

    public void setTrainingFeedbackScore(String trainingFeedbackScore) {
        this.trainingFeedbackScore = trainingFeedbackScore;
    }

    public String getTrainingFeedbackScoreAvg() {
        return trainingFeedbackScoreAvg;
    }

    public void setTrainingFeedbackScoreAvg(String trainingFeedbackScoreAvg) {
        this.trainingFeedbackScoreAvg = trainingFeedbackScoreAvg;
    }

    public String getTrainerFeedbackScoreAvg() {
        return trainerFeedbackScoreAvg;
    }

    public void setTrainerFeedbackScoreAvg(String trainerFeedbackScoreAvg) {
        this.trainerFeedbackScoreAvg = trainerFeedbackScoreAvg;
    }

    public List<TrainerQuestion> getTrainerQuestions() {
        return trainerQuestions;
    }

    public void setTrainerQuestions(List<TrainerQuestion> trainerQuestions) {
        this.trainerQuestions = trainerQuestions;
    }
}